Name:           epel-release
Version:        8
Release:        9%{dist}
License:        GPLv2

# This is a EPEL maintained package which is specific to
# our distribution.  Thus the source is only available from
# within this srpm.
URL:            http://download.fedoraproject.org/pub/epel
Source0:        README.md
Source1:        GPL

Source60:       http://download.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-6
Source62:       epel6.repo
Source63:       epel6-testing.repo

Source70:       http://download.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-7
Source72:       epel7.repo
Source73:       epel7-testing.repo

Source80:       http://download.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-8
Source82:       epel8.repo
Source83:       epel8-testing.repo
Source84:       epel8-playground.repo
Source85:       epel8-modular.repo
Source86:       epel8-testing-modular.repo

BuildArch:     noarch

%define desc() %{expand:
This package contains the Extra Packages for Enterprise Linux (EPEL)%{?1: %{1}}
repository GPG key as well as configuration for yum.
}
%define sum() Extra Packages for Enterprise Linux%{?1: %{1}} repository configuration
Summary:        %{sum}
%description    %{desc}


%package -n epel6-repos
Version:        6
Summary:        %{sum 6}
%description  -n epel6-repos %{desc 6}


%package -n epel7-repos
Version:        7
Summary:        %{sum 7}
%description  -n epel7-repos %{desc 7}


%package -n epel8-repos
Version:        8
Summary:        %{sum 8}
%description  -n epel8-repos %{desc 8}


%prep
%setup -q  -c -T
install -pm 644 %{SOURCE0} %{SOURCE1} .

%build


%install
#GPG Keys
install -Dpm 644 %{SOURCE60} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6
install -Dpm 644 %{SOURCE70} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7
install -Dpm 644 %{SOURCE80} \
    $RPM_BUILD_ROOT%{_sysconfdir}/pki/rpm-gpg/RPM-GPG-KEY-EPEL-8

# yum
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE62} %{SOURCE63} \
                %{SOURCE72} %{SOURCE73} \
                %{SOURCE82} %{SOURCE83} %{SOURCE84} %{SOURCE85} %{SOURCE86} \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d

%files -n epel6-repos
%doc README.md
%license GPL
%dir /etc/yum.repos.d/
%config(noreplace) /etc/yum.repos.d/epel6*.repo
%dir /etc/pki/rpm-gpg/
/etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-6

%files -n epel7-repos
%doc README.md
%license GPL
%dir /etc/yum.repos.d/
%config(noreplace) /etc/yum.repos.d/epel7*.repo
%dir /etc/pki/rpm-gpg/
/etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-7

%files -n epel8-repos
%doc README.md
%license GPL
%dir /etc/yum.repos.d/
%config(noreplace) /etc/yum.repos.d/epel8*.repo
%dir /etc/pki/rpm-gpg/
/etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL-8

%changelog
* Tue Jun 30 2020 Miro Hrončok <mhroncok@redhat.com> - 8-9
- Initial package for Fedora
